You're viewing Apigee Edge documentation.
Go to the
Apigee X documentation. info
On November 18, 2026, Apigee released Edge for Private Cloud 4.53.01.03.
Update procedure
This section describes how to install this release if you are updating from the previous release of Edge for Private Cloud. If you need to update from an earlier release, see Applying multiple patch versions.
Installing Edge for Private Cloud 4.53.01.03 updates the following RPM packages:
edge-gateway-4.53.01-0.0.60415.noarch.rpmedge-management-server-4.53.01-0.0.60415.noarch.rpmedge-message-processor-4.53.01-0.0.60415.noarch.rpmedge-postgres-server-4.53.01-0.0.60415.noarch.rpmedge-qpid-server-4.53.01-0.0.60415.noarch.rpmedge-router-4.53.01-0.0.60415.noarch.rpmedge-uapim-4.53.01-0.0.60415.noarch.rpmedge-uapim-connector-4.53.01-0.0.60415.noarch.rpmedge-management-ui-4.53.01-0.0.20090.noarch.rpmapigee-mtls-4.53.01-0.0.20267.noarch.rpmapigee-mtls-consul-4.53.01-0.0.20176.noarch.rpmapigee-setup-4.53.01-0.0.1167.noarch.rpm
To check the installed RPM versions on a node, run the following command:
/opt/apigee/apigee-service/bin/apigee-all version
To update your Edge for Private Cloud installation to 4.53.01.03, complete the following steps:
- Prepare all Edge for Private Cloud nodes that host an updated
component:
- If
apigee-monitis running on the node, stop monitoring and stop the service so that it doesn't restart components during the update:/opt/apigee/apigee-service/bin/apigee-service apigee-monit unmonitor -c all
/opt/apigee/apigee-service/bin/apigee-service apigee-monit stop - Clean the package manager cache:
sudo yum clean all
- Download the latest 4.53.01
bootstrap_4.53.01.shscript to/tmp/bootstrap_4.53.01.sh:curl https://software.apigee.com/bootstrap_4.53.01.sh -o /tmp/bootstrap_4.53.01.sh
- Install the 4.53.01
apigee-serviceutility and repository configuration:sudo bash /tmp/bootstrap_4.53.01.sh apigeeuser=uName apigeepassword=pWord
Replace uName and pWord with the credentials you received from Apigee. If you omit pWord, the script prompts you to enter it.
- Load the updated environment profile:
source /etc/profile.d/apigee-service.sh
- Update the
apigee-setuputility:/opt/apigee/apigee-service/bin/apigee-service apigee-setup update
- If
- If
apigee-mtlsis installed, updateapigee-mtlsandapigee-mtls-consulon all mesh nodes:Unlike the rolling update in Step 3, updating
apigee-mtlsrequires stopping all Edge for Private Cloud components on every mesh node at the same time, which causes downtime until the mesh and components restart in Steps 2b and 2c.- On each node in the mTLS mesh, stop all Edge for Private Cloud components,
uninstall the existing
apigee-mtlspackage (which also uninstallsapigee-mtls-consul), and install and configure the updated package (which installs the updatedapigee-mtls-consulpackage as a dependency; see Upgrade Apigee mTLS):/opt/apigee/apigee-service/bin/apigee-all stop
/opt/apigee/apigee-service/bin/apigee-service apigee-mtls uninstall/opt/apigee/apigee-service/bin/apigee-service apigee-mtls install/opt/apigee/apigee-service/bin/apigee-service apigee-mtls setup -f configFileSHA-1-signed custom certificates are rejected. If you use a custom mTLS certificate, re-integrate it on each node before starting
apigee-mtls, as described in Step 5: Integrate the custom certificate. Make sure that both the CA certificate (ca_cert.pem) and each node's local certificate (local_cert.pem) use SHA-256 or stronger signatures (see Step 4: Sign the signature request) and at least 2048-bit RSA or ECDSA P-256 keys. - After
apigee-mtls setup(and custom certificate re-integration, if applicable) completes on all mesh nodes, startapigee-mtlson the ZooKeeper/Consul server nodes first, and then on the remaining mesh nodes:/opt/apigee/apigee-service/bin/apigee-service apigee-mtls start
- Verify that
apigee-mtlsis running on every node, then start the remaining Edge for Private Cloud components in the standard start order:/opt/apigee/apigee-service/bin/apigee-service apigee-mtls status
- On each node in the mTLS mesh, stop all Edge for Private Cloud components,
uninstall the existing
- Update Edge Core and Analytics components in rolling order across
your topology:
Update Router and Message Processor nodes first (one node at a time across data centers), then Management Server nodes (one node at a time), and then Qpid Server and Postgres Server nodes (one node at a time). On each node, run the following command:
/opt/apigee/apigee-setup/bin/update.sh -c edge -f configFile
- If the New Edge UI (
edge-management-ui) is installed, update it on each New Edge UI node:/opt/apigee/apigee-setup/bin/update.sh -c ue -f configFile
- If the Apigee API hub connector is installed, on its
dedicated connector node, update, reconfigure, and restart
edge-uapim-connector(which also updatesedge-uapim):/opt/apigee/apigee-service/bin/apigee-service edge-uapim-connector update
/opt/apigee/apigee-service/bin/apigee-service edge-uapim-connector configure/opt/apigee/apigee-service/bin/apigee-service edge-uapim-connector restart/opt/apigee/apigee-service/bin/apigee-service edge-uapim-connector wait_for_ready - Verify the update:
- On every node, confirm that all services are running and updated to
their 4.53.01.03 versions:
/opt/apigee/apigee-service/bin/apigee-all status
/opt/apigee/apigee-service/bin/apigee-all version - Validate runtime API proxy traffic as described in Test the install.
- If you stopped
apigee-monitin Step 1, start it again on each node where it's installed:/opt/apigee/apigee-service/bin/apigee-service apigee-monit start
- On every node, confirm that all services are running and updated to
their 4.53.01.03 versions:
Bug fixes
This section lists the Edge for Private Cloud bugs fixed in this release.
| Issue ID | Description |
|---|---|
| 555253198 | Fixed an issue where API proxy deployments that use the
OASValidation policy failed with OpenAPI Specification
path parameter validation errors after updating to 4.53.01. |
| 580744258 | Fixed an issue where running setup.sh -p uapim failed
during edge-uapim-connector setup. |
| 531571595 | Added sanitization to certain error messages generated by Message Processors. |
Security issues fixed
This release fixes multiple security vulnerabilities in Apigee Edge for Private Cloud, including security hardening across Edge runtime, management, New Edge UI, and Apigee mTLS components.
Changes to supported software
There are no changes to supported software in this release. See Edge for Private Cloud supported software for the complete list of supported software.
Deprecations and retirements
There are no new deprecations or retirements in this release.
Known issues
See Known issues with Edge for Private Cloud for the complete list of known issues.
Applying multiple patch versions
This section explains how to apply multiple patch versions when you're updating from a version of Edge for Private Cloud earlier than the previous patch release.
Each patch release updates specific components of Edge for Private Cloud, such as
edge-management-server. To apply multiple patch versions, update
each component included in any patch release later than your currently
installed version. Check the Edge for Private Cloud release notes for all versions
later than your current version and review the list of RPMs for those
releases. See Apigee
release notes for links to all Edge for Private Cloud release notes.